# Inline trials flow

In order to generate an Inline trial checkout cart, it’s mandatory to have the following parameters in the inline script.

## Mandatory parameters for the trial links

* **Signature**: for building a Trial buy link it is required to generate a signature
* **Price** (define trial price for the corresponding currency - 0 for free trial, higher than 0 for paid trial)
* **Period** (define period – not less than 7 days)
* **Currency** (define currency)
* **Product Code** (define the product for which the trial is applied)

How your script should look like:

```javascript
TwoCoInlineCart.cart.setCurrency('EUR');
TwoCoInlineCart.products.add({
                       code: 'ANTV_2016',
                       tperiod: 7,
                       tprices: {EUR: 5, RON: 20},
                  });
TwoCoInlineCart.cart.setSignature('520ba411696e37f1839145bfa793f7199d8d0295a228ea42dc20a3f39196e358');
```

For more details on parameters setup, check [here](/shopping-carts/inline/inline-checkout-methods-and-parameters.md).

### Limitations

* The trial period/price applies to a single product.
* The trial period can be a minimum of 7 days.
* 2Checkout uses the custom prices and ignores the per-product pricing configuration.
* Supported payment methods: credit and debit cards, PayPal, and Direct Debit.
* 2Checkout automatically converts the trial to a paid subscription when the trial interval expires by charging shoppers based on the payment-on-file information. Customers can opt-out at any time using their myAccount.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/inline-trials-flow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
